MONGOC_COLLECTION_FIND_INDEXES_WITH_OPTS(3)

NAME
mongoc_collection_find_indexes_with_opts - mongoc_collection_find_indexes_with_opts()

SYNOPSIS

mongoc_cursor_t *
mongoc_collection_find_indexes_with_opts (mongoc_collection_t *collection,
                                          const bson_t *opts);

Fetches a cursor containing documents, each corresponding to an index on this collection.

This function is considered a retryable read operation. Upon a transient error (a network error, errors due to replica set failover, etc.) the operation is safely retried once. If retryreads is false in the URI (see mongoc_uri_t) the retry behavior does not apply.

PARAMETERS

•   collection: A mongoc_collection_t.

•   opts: A bson_t containing additional options.

    opts may be NULL or a BSON document with additional command options:

•   sessionId: First, construct a mongoc_client_session_t with mongoc_client_start_session. You can begin a transaction with mongoc_client_session_start_transaction, optionally with a mongoc_transaction_opt_t that overrides the options inherited from collection, and use mongoc_client_session_append to add the session to opts. See the example code for mongoc_client_session_t.

•   serverId: To target a specific server, include an int32 "serverId" field. Obtain the id by calling mongoc_client_select_server, then mongoc_server_description_id on its return value.

ERRORS

Use mongoc_cursor_error on the returned cursor to check for errors.

RETURNS

A cursor where each result corresponds to the server's representation of an index on this collection. If the collection does not exist on the server, the cursor will be empty.

The cursor functions mongoc_cursor_set_limit, mongoc_cursor_set_batch_size, and mongoc_cursor_set_max_await_time_ms have no use on the returned cursor.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc